pandoc-lua-marshal-0.3.1: Use pandoc types in Lua

Copyright | © 2021-2025 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.Citation

Contents

- Citation

Description

Marshaling/unmarshaling functions and constructor for `Citation` values.

Synopsis

- peekCitation :: LuaError e => Peeker e Citation
- pushCitation :: LuaError e => Pusher e Citation
- typeCitation :: LuaError e => DocumentedType e Citation
- mkCitation :: LuaError e => DocumentedFunction e

# Citation

peekCitation :: LuaError e => Peeker e Citation Source #

Retrieves a Citation value.

pushCitation :: LuaError e => Pusher e Citation Source #

Pushes a Citation value as userdata object.

typeCitation :: LuaError e => DocumentedType e Citation Source #

Citation object type.

mkCitation :: LuaError e => DocumentedFunction e Source #

Constructor function for `Citation` elements.